# Create AI subtitle

Uses AI-based speech recognition (STT) technology to analyze the audio data of content in real time and automatically converts it into a text-based subtitle file for registration.

Endpoint: POST /media-contents/{upload_file_key}/ai-subtitles
Version: 3.0
Security: kollus_api_access_token

## Security:

  - `kollus_api_access_token` (unknown)
    apiKey in query access_token

## Path parameters:

  - `upload_file_key` (string, required)
    Upload file key

## Request fields (application/x-www-form-urlencoded):

  - `language_code` (string, required)
    Primary language used in the video or audio
    Enum: "ko", "en"

  - `kind` (integer, required)
    AI subtitle type setting
- `0`: Main subtitle
- `1`: Sub subtitle
    Enum: 0, 1

  - `status` (integer, required)
    AI subtitle visibility setting
- `0`: Private
- `1`: Public
    Enum: 0, 1

## Response 204:

  - `204` (unknown)
    OK

## Response 204 fields (application/json):

  - `data` (object)

  - `status` (string)
    Processing result
- `ok`: success
- `fail`: failure

## Response 400:

  - `400` (unknown)
    Bad request

## Response 401:

  - `401` (unknown)
    Unauthenticated

## Response 404:

  - `404` (unknown)
    Not found

## Response 422:

  - `422` (unknown)
    Unprocessable entity

